using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApplication25
{
    class Program
    {
        static void Main(string[] args)
        {
            string unos = Console.ReadLine();
            string[] niz = unos.Split();
            string[] k = new string[6];
            k[0] = niz[0] + niz[1] + niz[2];
            k[1] = niz[0] + niz[2] + niz[1];
            k[2] = niz[1] + niz[0] + niz[2];
            k[3] = niz[1] + niz[2] + niz[0];
            k[4] = niz[2] + niz[0] + niz[1];
            k[5] = niz[2] + niz[1] + niz[0];
            long[] t = k.Select(long.Parse).ToArray();
            long isp = Math.Max(t[0], Math.Max(t[1], Math.Max(t[2], Math.Max(t[3], Math.Max(t[4], t[5])))));
            Console.Write(isp);
        }
    }
}